import java.util.HashMap;

public class DoubleA {

	public static void main(String[] args) {
		if (args.length > 1) {
			System.err.println("usage: ./DoubleA <string>");
			System.exit(1);
		}

		// define our automata states
		State q0 = new State("q0", true, true);
		State q1 = new State("q1", false, true);
		State q2 = new State("q2", false, true);
		State q3 = new State("q3", false, false);

		// define our transitions
		q0.addOutput("b", q1);
		q0.addOutput("a", q2);
		q1.addOutput("b", q1);
		q1.addOutput("a", q2);
		q2.addOutput("b", q1);
		q2.addOutput("a", q3);
		q3.addOutput("a", q3);
		q3.addOutput("b", q3);

		// apply our transition function
		State s = q0;
		String tok;

		if (args.length > 0) {
			for (int i=0; i<args[0].length(); i++) {
				tok = "" + args[0].charAt(i);
				if (s.transitionToNext(tok) != null) {
					s = s.transitionToNext(tok);
				} else {
					System.out.println("NO");
					System.exit(0);
				}
			}
		}

		if (s.isFinal) {
			System.out.println("YES");
		} else {
			System.out.println("NO");
		}
	
	}



	static class State {

		String name;
		boolean isInitial, isFinal;

		HashMap<String, State> outputs;
		
		State(String name, boolean isInitial, boolean isFinal) {
			this.name = name;
			this.isInitial = isInitial;
			this.isFinal = isFinal;

			outputs = new HashMap<>();
		}

		void addOutput(String transition, State nextState) {
			outputs.put(transition, nextState);
		}

		State transitionToNext(String tok) {
			return outputs.get(tok);
		}

	}
}
